Package org.h2.expression.analysis

# Class WindowFrameBound

java.lang.Object
org.h2.expression.analysis.WindowFrameBound

public class WindowFrameBound extends Object
Window frame bound.

## Constructor Summary

Constructors
Constructor
Description
`WindowFrameBound(WindowFrameBoundType type, Expression value)`
Creates new instance of window frame bound.

## Method Summary

Modifier and Type
Method
Description
`int`
`getExpressionIndex()`
Returns the index of preserved expression.
`StringBuilder`
`getSQL(StringBuilder builder, boolean following, int sqlFlags)`
Appends SQL representation to the specified builder.
`WindowFrameBoundType`
`getType()`
Returns the type
`Expression`
`getValue()`
Returns the value.
`boolean`
`isParameterized()`
Returns whether bound is defined as n PRECEDING or n FOLLOWING.
`boolean`
`isVariable()`
Returns whether bound is defined with a variable.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WindowFrameBound

public WindowFrameBound(WindowFrameBoundType type, Expression value)
Creates new instance of window frame bound.

Parameters:
  `type` - bound type
  `value` - bound value, if any

## Method Details

### getType

public WindowFrameBoundType getType()
Returns the type

Returns:
  the type

### getValue

public Expression getValue()
Returns the value.

Returns:
  the value

### isParameterized

public boolean isParameterized()
Returns whether bound is defined as n PRECEDING or n FOLLOWING.

Returns:
  whether bound is defined as n PRECEDING or n FOLLOWING

### isVariable

public boolean isVariable()
Returns whether bound is defined with a variable. This method may be used only after `optimize(SessionLocal)` invocation.

Returns:
  whether bound is defined with a variable

### getExpressionIndex

public int getExpressionIndex()
Returns the index of preserved expression.

Returns:
  the index of preserved expression, or -1

### getSQL

public StringBuilder getSQL(StringBuilder builder, boolean following, int sqlFlags)
Appends SQL representation to the specified builder.

Parameters:
  `builder` - string builder
  `following` - if false return SQL for starting clause, if true return SQL for following clause
  `sqlFlags` - formatting flags
Returns:
  the specified string builder
See Also:
  - `Expression.getSQL(StringBuilder, int, int)`